<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_context_t</compoundname>
    <includes local="no">cy_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__context__t_1a6bc70a3834f9af5cc056737b0804cd02" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__event__handler__t">cy_stc_ble_event_handler_t</ref> *</type>
        <definition>cy_stc_ble_event_handler_t* cy_stc_ble_context_t::eventHandlerPool</definition>
        <argsstring />
        <name>eventHandlerPool</name>
        <briefdescription>
<para>Structure with information about registered service callbacks. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="292" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="292" />
      </memberdef>
      <memberdef id="structcy__stc__ble__context__t_1a09914fc971ba7a618c7ce6d3e82c469c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__discovery__t">cy_stc_ble_discovery_t</ref> *</type>
        <definition>cy_stc_ble_discovery_t* cy_stc_ble_context_t::discovery</definition>
        <argsstring />
        <name>discovery</name>
        <briefdescription>
<para>Discovery information structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="295" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="295" />
      </memberdef>
      <memberdef id="structcy__stc__ble__context__t_1a350fa0f4305882bc421278b0bd5e4124" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__disc__srvc__info__t">cy_stc_ble_disc_srvc_info_t</ref> *</type>
        <definition>cy_stc_ble_disc_srvc_info_t* cy_stc_ble_context_t::serverInfo</definition>
        <argsstring />
        <name>serverInfo</name>
        <briefdescription>
<para>Service data received with read by group type response during discovery process. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="298" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="298" />
      </memberdef>
      <memberdef id="structcy__stc__ble__context__t_1a655939774b39e86d2dd5d78be08e29b3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_context_t::discServiCount</definition>
        <argsstring />
        <name>discServiCount</name>
        <briefdescription>
<para>Total Count of client services that will be discovered. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="301" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="301" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE internal context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="296">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="297">
        <label>cy_stc_ble_event_handler_t</label>
        <link refid="structcy__stc__ble__event__handler__t" />
      </node>
      <node id="293">
        <label>cy_ble_uuid_t</label>
        <link refid="unioncy__ble__uuid__t" />
        <childnode refid="294" relation="usage">
          <edgelabel>uuid128</edgelabel>
        </childnode>
      </node>
      <node id="295">
        <label>cy_stc_ble_gatt_attr_handle_range_t</label>
        <link refid="structcy__stc__ble__gatt__attr__handle__range__t" />
      </node>
      <node id="291">
        <label>cy_stc_ble_discovery_t</label>
        <link refid="structcy__stc__ble__discovery__t" />
        <childnode refid="292" relation="usage">
          <edgelabel>inclInfo</edgelabel>
        </childnode>
        <childnode refid="295" relation="usage">
          <edgelabel>gattcDiscoveryRange</edgelabel>
        </childnode>
      </node>
      <node id="294">
        <label>cy_stc_ble_uuid128_t</label>
        <link refid="structcy__stc__ble__uuid128__t" />
      </node>
      <node id="290">
        <label>cy_stc_ble_context_t</label>
        <link refid="structcy__stc__ble__context__t" />
        <childnode refid="291" relation="usage">
          <edgelabel>discovery</edgelabel>
        </childnode>
        <childnode refid="297" relation="usage">
          <edgelabel>eventHandlerPool</edgelabel>
        </childnode>
        <childnode refid="298" relation="usage">
          <edgelabel>serverInfo</edgelabel>
        </childnode>
      </node>
      <node id="298">
        <label>cy_stc_ble_disc_srvc_info_t</label>
        <link refid="structcy__stc__ble__disc__srvc__info__t" />
        <childnode refid="295" relation="usage">
          <edgelabel>range</edgelabel>
        </childnode>
      </node>
      <node id="292">
        <label>cy_stc_ble_disc_incl_info_t</label>
        <link refid="structcy__stc__ble__disc__incl__info__t" />
        <childnode refid="293" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
        <childnode refid="295" relation="usage">
          <edgelabel>inclHandleRange</edgelabel>
        </childnode>
        <childnode refid="296" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="303" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="289" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="290" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__context__t_1a09914fc971ba7a618c7ce6d3e82c469c" virt="non-virtual"><scope>cy_stc_ble_context_t</scope><name>discovery</name></member>
      <member prot="public" refid="structcy__stc__ble__context__t_1a655939774b39e86d2dd5d78be08e29b3" virt="non-virtual"><scope>cy_stc_ble_context_t</scope><name>discServiCount</name></member>
      <member prot="public" refid="structcy__stc__ble__context__t_1a6bc70a3834f9af5cc056737b0804cd02" virt="non-virtual"><scope>cy_stc_ble_context_t</scope><name>eventHandlerPool</name></member>
      <member prot="public" refid="structcy__stc__ble__context__t_1a350fa0f4305882bc421278b0bd5e4124" virt="non-virtual"><scope>cy_stc_ble_context_t</scope><name>serverInfo</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>